Bug 647101 - jabberd.spec does not use conditional build support macros
Summary: jabberd.spec does not use conditional build support macros
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jabberd
Version: 25
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-27 08:19 UTC by Till Maas
Modified: 2018-04-11 14:35 UTC (History)
5 users (show)

Fixed In Version: jabberd-2.4.0-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-29 06:50:02 UTC


Attachments (Terms of Use)

Description Till Maas 2010-10-27 08:19:57 UTC
Description of problem:
rpm provides macros like %bcond_with to make it possible to use --with/--without from rpmbuild. Documentation about this can be found here:
http://rpm.org/wiki/PackagerDocs/ConditionalBuilds

jabberd.spec supports conditional building, but does not uses these macros and therefore makes the spec harder to read.

Version-Release number of selected component (if applicable):
jabberd-2.2.11-1.el5

Comment 1 Dominic Hopf 2010-10-27 23:14:50 UTC
Thanks very much for reporting this, Till. I will take care of this issue.

Comment 2 Dominic Hopf 2010-10-28 21:55:03 UTC
I actually am not sure, if I understood your report right, Till. As far as I understood the documentation, %bcond_with supports passing arguments to the configure script beginning with "--with" or "--without".

I guess when claiming on the readability of the spec file, you mean right that part in the spec file, where the arguments are passed to the spec file? If yes, I can fully understand this and second that. Thus I really appreciate this report and like to improve the package where I can.

The thing I don't understand here is: Does this bcond-thing also support arguments beginning with "--enable" and "--disable"? If so, this actually is not mentioned in the documentation you linked. If not, your criticism on the readability would not apply to the %configure section in the spec file. In that case, which specific section in the spec file do you suggest to improve with this?

I could imagine you mean the BuildRequire stuff from line 15 to 20, but I'm not sure with this and a bit confused anyway. I'd be glad if you could bring a bit more light into this dark. :)

Comment 3 Till Maas 2010-10-29 17:38:31 UTC
Uh, I did not notice that the with-macros need to be converted into disable/enable strings. I guess this is worth a rpm feature request. But there is one more advantage of using %bcond_with, then one can easily spot at the beginning of the spec, which build conditionals are used and whether they are enabled or disabled by default.

Comment 4 Dominic Hopf 2010-10-30 18:08:48 UTC
I tried to implement this with

SRPM: http://dmaphy.fedorapeople.org/jabberd2/jabberd-2.2.11-3.fc14.src.rpm

Let me know what you think. :)

Comment 5 Dominic Hopf 2010-10-30 18:14:54 UTC
Wrote a feature request at the RPM tracker: http://rpm.org/ticket/187. :)

Comment 6 Dominic Hopf 2010-11-09 23:29:31 UTC
I just noticed the above package won't build in mock because of unresolved dependencies. Seems I just tested the build with 'rpmbuild -ba', that was working because I have the required packages installed anyway. I'll work on this and keep you up-to-date. :)

Comment 7 Matěj Cepl 2016-05-23 12:04:59 UTC
Guys, some SPEC nits are probably not reason to update package in EPEL-5. WONTFIX?

Comment 8 Till Maas 2016-05-23 21:54:47 UTC
(In reply to Matěj Cepl from comment #7)
> Guys, some SPEC nits are probably not reason to update package in EPEL-5.
> WONTFIX?

It does not need to be the only change. However, I think it would still be a good idea to do this in Rawhide, so it might get into EPEL-8.

Comment 9 Adrian Reber 2016-05-25 15:17:16 UTC
Thanks for bringing this up again.

Unfortunately I don't understand what actually is requested. The conditional build works but the wrong macros are used? Can you describe in more details what is requested? If RPM does not support expand the macros to --enable-something it does not make much sense, from my point of view, to keep this bug open. If something can be made better I am happy to change it or apply a patch (even better). Or somebody else can apply the patch.

Comment 10 Fedora Update System 2016-06-29 09:16:02 UTC
jabberd-2.4.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-85e0b3ae41

Comment 11 Fedora Update System 2016-06-30 22:18:50 UTC
jabberd-2.4.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-85e0b3ae41

Comment 12 Jan Kurik 2016-07-26 04:14:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 13 Fedora Update System 2016-07-29 06:49:57 UTC
jabberd-2.4.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.